Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.utils.synthetic
Class SynthesisException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.xml.utils.synthetic.SynthesisException

All Implemented Interfaces:
  java.io.Serializable

public class SynthesisException
extends java.lang.Exception

Class SynthesisException

See Also:
  Serialized Form
Usage:
  **For internal use only**

Field Summary
`static java.lang.String[]` | `errToString` Field errToString
`static int` | `REIFIED` Field REIFIED
`static int` | `SYNTAX` Field SYNTAX
`static int` | `UNREIFIED` Field UNREIFIED
`static int` | `UNSUPPORTED` Field UNSUPPORTED
`static int` | `WRONG_OWNER` Field WRONG_OWNER

Constructor Summary
`SynthesisException(int code)` Constructor SynthesisException
`SynthesisException(int code, java.lang.String msg)` Constructor SynthesisException

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SYNTAX

    public static final int SYNTAX

  Field SYNTAX

  See Also:
    Constant Field Values

### UNSUPPORTED

    public static final int UNSUPPORTED

  Field UNSUPPORTED

  See Also:
    Constant Field Values

### REIFIED

    public static final int REIFIED

  Field REIFIED

  See Also:
    Constant Field Values

### UNREIFIED

    public static final int UNREIFIED

  Field UNREIFIED

  See Also:
    Constant Field Values

### WRONG_OWNER

    public static final int WRONG_OWNER

  Field WRONG_OWNER

  See Also:
    Constant Field Values

### errToString

    public static final java.lang.String[] errToString

  Field errToString

Constructor Detail

### SynthesisException

    public SynthesisException(int code)

  Constructor SynthesisException

Parameters:
  `code` -

### SynthesisException

    public SynthesisException(int code,
                              java.lang.String msg)

  Constructor SynthesisException

Parameters:
  `code` -
  `msg` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.